Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface LookAndFeelDefinitionControl

    public interface LookAndFeelDefinitionControl

A custom control interface used to interact with LookAndFeelDefinitions.

Method Summary
`void` | `deleteLookAndFeelDefinition(com.bea.netuix.application.identifier.LookAndFeelDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Deletes a specified `LookAndFeelDefinition`.
`void` | `deleteThemeDefinition(com.bea.netuix.application.identifier.ThemeDefinitionId id, boolean cascadeDelete, com.bea.portal.tools.common.ResourceContext context)` Delete a `ThemeDefinition` if it is not currently in use.
`com.bea.netuix.application.definition.LookAndFeelDefinition` | `getLookAndFeelDefinition(com.bea.netuix.application.identifier.LookAndFeelDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Used to retieve a single `LookAndFeelDefinition` object given an Id.
`com.bea.netuix.application.identifier.LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId(String markupName, String webAppName, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a single `LookAndFeelDefinitionId` object given a supplied lookAndFeel markup name and webapp.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.LookAndFeelDefinition>` | `getLookAndFeelDefinitions(int pageSize, com.bea.netuix.application.search.WebAppSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` This methods gets all `LookAndFeelDefinitions` scoped to the specified webapp
`com.bea.netuix.application.definition.ThemeDefinition` | `getThemeDefinition(com.bea.netuix.application.identifier.ThemeDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a single `ThemeDefinition` object given a supplied theme definition identifier.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.ThemeDefinition>` | `getThemeDefinitions(int pageSize, com.bea.netuix.application.search.WebAppSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Return a `PagedResult` of `ThemeDefinition`s matching the specified criteria.

Method Detail

### getThemeDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.ThemeDefinition> getThemeDefinitions(int pageSize,
                                                                                                                                     com.bea.netuix.application.search.WebAppSearchCriteria criteria,
                                                                                                                                     com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                     throws com.bea.portal.tools.common.exceptions.ToolsException

  Return a `PagedResult` of `ThemeDefinition`s matching the specified criteria.

  Parameters
    `pageSize` - The number of results to retrieve per page
    `criteria` - The web application to search
    `context` - The resource context
  Returns
    a paginated result of theme definitions
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getThemeDefinition

    com.bea.netuix.application.definition.ThemeDefinition getThemeDefinition(com.bea.netuix.application.identifier.ThemeDefinitionId id,
                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                             throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a single `ThemeDefinition` object given a supplied theme definition identifier.

  Parameters
    `id` - the ID of the theme definition to retrieve
    `context` - the resource context
  Returns
    the requested theme definition or null if none exists.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deleteThemeDefinition

    void deleteThemeDefinition(com.bea.netuix.application.identifier.ThemeDefinitionId id,
                               boolean cascadeDelete,
                               com.bea.portal.tools.common.ResourceContext context)
                               throws com.bea.netuix.application.exception.ObjectInUseException,
                                      com.bea.portal.tools.common.exceptions.ToolsException,
                                      com.bea.netuix.application.exception.NotEntitledException,
                                      com.bea.netuix.application.exception.ObjectNotFoundException

  Delete a `ThemeDefinition` if it is not currently in use.

  Parameters
    `id` - the ID of the theme definition to delete
    `cascadeDelete` - `true` if all associated objects should be deleted.
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### getLookAndFeelDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.LookAndFeelDefinition> getLookAndFeelDefinitions(int pageSize,
                                                                                                                                                 com.bea.netuix.application.search.WebAppSearchCriteria criteria,
                                                                                                                                                 com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                                 throws com.bea.portal.tools.common.exceptions.ToolsException

  This methods gets all `LookAndFeelDefinitions` scoped to the specified webapp

  Parameters
    `pageSize` - The size of one page in the `PagedResult`
    `criteria` - The criteria (such as web application name) to use in the search.
    `context` - the resource context.
  Returns
    A `PagedResult` containg iterators of `LookAndFeelDefinitions` matching the specified criteria.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getLookAndFeelDefinition

    com.bea.netuix.application.definition.LookAndFeelDefinition getLookAndFeelDefinition(com.bea.netuix.application.identifier.LookAndFeelDefinitionId id,
                                                                                         com.bea.portal.tools.common.ResourceContext context)
                                                                                         throws com.bea.portal.tools.common.exceptions.ToolsException

  Used to retieve a single `LookAndFeelDefinition` object given an Id.

  Parameters
    `id` - the ID of the look and feel to retreive
    `context` - the resource context.
  Returns
    A `LookAndFeelDefinition` object for the specified ID
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deleteLookAndFeelDefinition

    void deleteLookAndFeelDefinition(com.bea.netuix.application.identifier.LookAndFeelDefinitionId id,
                                     com.bea.portal.tools.common.ResourceContext context)
                                     throws com.bea.netuix.application.exception.ObjectInUseException,
                                            com.bea.portal.tools.common.exceptions.ToolsException,
                                            com.bea.netuix.application.exception.NotEntitledException,
                                            com.bea.netuix.application.exception.ObjectNotFoundException

  Deletes a specified `LookAndFeelDefinition`.

  Parameters
    `id` - The id of the look and feel to delete
    `context` - the resource context.
  Throws
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### getLookAndFeelDefinitionId

    com.bea.netuix.application.identifier.LookAndFeelDefinitionId getLookAndFeelDefinitionId(String markupName,
                                                                                             String webAppName,
                                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                                             throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a single `LookAndFeelDefinitionId` object given a supplied lookAndFeel markup name and webapp.

  Parameters
    `markupName` - the markup name attribute supplied on the tag in the .laf file
    `webAppName` - the webapp name
    `context` - the resource context.
  Returns
    the unique lookAndFeel definition identifier or null if non existent.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved